<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('deal_products', function (Blueprint $table) {
            $table->decimal('cost', 15, 2)->nullable()->after('title');
        });
    }

    public function down(): void
    {
        Schema::table('deal_products', function (Blueprint $table) {
            $table->dropColumn('cost');
        });
    }
};
